// Author : Nicolas JEAN
// Date   : October 2001
// filename : if.h
// Copyright : Nicolas JEAN 2001 - 2005
// available on http://youpee.salemioche.com

#ifndef __if_h_
#define __if_h_

#define DIESE_IF     "<#if"
#define DIESE_ELSE   "<#else/>"
#define DIESE_ENDIF  "</#if>"

#define TEST_FILEEXISTS    "FILEEXISTS"
#define TEST_FILENOTEXISTS "!FILEEXISTS"
#define TEST_EQUAL         "EQUAL"
#define TEST_NOTEQUAL      "!EQUAL"
#define TEST_GT            "GT"
#define TEST_GE            "GE"
#define TEST_LT            "LT"
#define TEST_LE            "LE"
#define TEST_Z             "Z"
#define TEST_NOTZ          "!Z"
#define TEST_DEF           "DEFINED"
#define TEST_NOTDEF        "!DEFINED"

void do_if(FILE *in, FILE *out, char *line);
void do_else(FILE *in, FILE *out, char *line);
void do_endif(FILE *in, FILE *out, char *line);

#endif
