// Author : Nicolas JEAN
// Date   : October 2001
// filename : youpee.h
// Copyright : Nicolas JEAN 2001 - 2005
// available on http://youpee.salemioche.com

#ifndef __youpee_h_
#define __youpee_h_

#define VERSION "3.8"

#define SEPARATOR  ' '
#define QUOTE      '"'

#define ORG_SHORTFILENAME      "<#ORG_SHORTFILENAME/>"
#define ORG_PATH               "<#ORG_PATH/>"
#define CUR_PATH               "<#CUR_PATH/>"
#define ORG_FILENAME           "<#ORG_FILENAME/>"
#define TARGET_FILENAME        "<#TARGET_FILENAME/>"
#define TEMPLATE_FILENAME      "<#TEMPLATE_FILENAME/>"
#define ORG_ROOTFILENAME       "<#ORG_ROOTFILENAME/>"
#define TARGET_ROOTFILENAME    "<#TARGET_ROOTFILENAME/>"
#define NTARGET_ROOTFILENAME   "<#NTARGET_ROOTFILENAME/>"
#define TEMPLATE_ROOTFILENAME  "<#TEMPLATE_ROOTFILENAME/>"
#define LANG                   "<#LANG/>"

#define BREAK                  "<#break/>"
#define DIESE_MOL              "<#"
#define DIESE_ENDMOL           "/>"

#define YOUPEE_NAME            "<#YOUPEE/>"
#define YOUPEE_NAME_VALUE      "Youhp3 v" VERSION

typedef struct {
          char *beginpattern;
          char *endpattern;
          char *(*f)(char *field);
        } smatcher;

typedef struct {
          char *pattern;
          void (*f)(FILE *in, FILE *out, char *line);
        } matcher;

void process_file(FILE *in, FILE *out, char *endtag);
void process_line_eval(char *buf);


#endif
