// Author : Nicolas JEAN
// Date   : October 2002
// filename : file.c
// Copyright : Nicolas JEAN 2001 - 2004
// available on http://youpee.salemioche.com

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include "common.h"
#include "file.h"

char *do_filesize(char *field)
{
char *text = get_field(field, 2);
char *unit = get_field(field, 3);
struct stat buf;
long st_size;
long iunit = 1L;
char *size = malloc(sizeof(char) * 11); // file size should not exceed 2Go
  if (!size) return "x";
  size[0] = 0x00;

  if ( ! stat(text, &buf) ) {
    switch(unit[0]) {
      case FILESIZE_UNIT_GB : iunit *= 1024L;
      case FILESIZE_UNIT_MB : iunit *= 1024L;
      case FILESIZE_UNIT_KB : iunit *= 1024L; break;
      default: iunit = 1L;
    }
    st_size = (long) buf.st_size / (long) iunit;
    sprintf(size,"%ld",st_size);
  }

  return size;
}

